Subject: Re: bug#2250: 23.0.90; Ask the user before printing (sending to printer)

From: Richard M Stallman <[email-masked]>
Date: Tue, 10 Feb 2009 15:02:08 -0500

I propose to have a new variable, confirm-print, set to t by
      default, which if non-nil displays a confirmation message to the
      user just before a file/region/buffer is going to be printed to
      a local or remote printer.

I don't mind if we have this variable
but I am against making it t by default.
Printing something by mistake is not very common
and it is no disaster.  It makes no sense to inconvenience
people that want to print, just to prevent a minor inconvenience.

    - I mistyped a key shortcut in some mode and issued another one
      which just... printed without asking

Please give the precise details.  Perhaps we should change
that mode's key bindings or commands.